<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.third.doordevice.mapper.MqConfMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="mqConfResultMap" type="org.springblade.third.doordevice.entity.MqConf">
        <id column="id" property="id"/>
        <result column="name" property="name"/>
        <result column="host" property="host"/>
        <result column="port" property="port"/>
        <result column="virtual" property="virtual"/>
        <result column="user" property="user"/>
        <result column="password" property="password"/>
        <result column="threads" property="threads"/>
        <result column="max_connections" property="maxConnections"/>
        <result column="online_status" property="onlineStatus"/>
        <result column="status" property="status"/>
        <result column="create_date" property="createDate"/>
        <result column="create_account_id" property="createAccountId"/>
        <result column="localhost" property="localhost"/>
        <result column="local_port" property="localPort"/>
    </resultMap>


    <select id="selectMqConfPage" resultMap="mqConfResultMap">
        select * from third_mq_conf where is_deleted = 0
    </select>

</mapper>
